package com.lightinit.hsdataplatformresdir.entity;

import java.util.ArrayList;
import java.util.Date;
import java.util.List;

public class Menu {
    private Long id;

    private String menucode;

    private String menuname;

    private String menuicon;

    private String menuaction;

    private Integer menutype;

    private Integer menusequence;

    private Integer menushow;

    private Long parentmenu;

    private String menushowtype;

    private Date addtime;

    private List<Menu> children=new ArrayList<Menu>();

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getMenucode() {
        return menucode;
    }

    public void setMenucode(String menucode) {
        this.menucode = menucode == null ? null : menucode.trim();
    }

    public String getMenuname() {
        return menuname;
    }

    public void setMenuname(String menuname) {
        this.menuname = menuname == null ? null : menuname.trim();
    }

    public String getMenuicon() {
        return menuicon;
    }

    public void setMenuicon(String menuicon) {
        this.menuicon = menuicon == null ? null : menuicon.trim();
    }

    public String getMenuaction() {
        return menuaction;
    }

    public void setMenuaction(String menuaction) {
        this.menuaction = menuaction == null ? null : menuaction.trim();
    }

    public Integer getMenutype() {
        return menutype;
    }

    public void setMenutype(Integer menutype) {
        this.menutype = menutype;
    }

    public Integer getMenusequence() {
        return menusequence;
    }

    public void setMenusequence(Integer menusequence) {
        this.menusequence = menusequence;
    }

    public Integer getMenushow() {
        return menushow;
    }

    public void setMenushow(Integer menushow) {
        this.menushow = menushow;
    }

    public Long getParentmenu() {
        return parentmenu;
    }

    public void setParentmenu(Long parentmenu) {
        this.parentmenu = parentmenu;
    }

    public String getMenushowtype() {
        return menushowtype;
    }

    public void setMenushowtype(String menushowtype) {
        this.menushowtype = menushowtype == null ? null : menushowtype.trim();
    }

    public Date getAddtime() {
        return addtime;
    }

    public void setAddtime(Date addtime) {
        this.addtime = addtime;
    }

    public List<Menu> getChildren() {
        return children;
    }

    public void setChildren(List<Menu> children) {
        this.children = children;
    }
}